import type { ForbiddenException, GoneException, LimitExceededException, PayloadTooLargeException } from "@aws-sdk/client-apigatewaymanagementapi";
import * as Data from "@effect/data/Data";
declare const SdkError_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "SdkError";
}>;
export declare class SdkError extends SdkError_base<Error> {
}
declare const ForbiddenError_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "ForbiddenError";
}>;
export declare class ForbiddenError extends ForbiddenError_base<ForbiddenException> {
}
declare const GoneError_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "GoneError";
}>;
export declare class GoneError extends GoneError_base<GoneException> {
}
declare const LimitExceededError_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "LimitExceededError";
}>;
export declare class LimitExceededError extends LimitExceededError_base<LimitExceededException> {
}
declare const PayloadTooLargeError_base: new <A extends Record<string, any>>(args: import("@effect/data/Types").Equals<Omit<A, keyof import("@effect/data/Equal").Equal>, {}> extends true ? void : Omit<A, keyof import("@effect/data/Equal").Equal>) => Data.Data<A & {
    _tag: "PayloadTooLargeError";
}>;
export declare class PayloadTooLargeError extends PayloadTooLargeError_base<PayloadTooLargeException> {
}
export {};
